"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var auth_1 = require("angularfire2/auth");
var core_1 = require("@angular/core");
var operators_1 = require("rxjs/operators");
var platform_browser_1 = require("@angular/platform-browser");
var tokens_1 = require("./tokens");
// tslint:disable:no-this
// tslint:disable-next-line:no-class
var FirebaseUniversalAuthService = /** @class */ (function () {
    function FirebaseUniversalAuthService(auth, ts, tsKey) {
        this.auth = auth;
        this.ts = ts;
        this.tsKey = tsKey;
        this.fbAuth = this.auth;
        this.user = this.auth.user.pipe(operators_1.startWith(this.ts.get(this.tsKey, undefined)));
    }
    FirebaseUniversalAuthService.decorators = [
        { type: core_1.Injectable },
    ];
    /** @nocollapse */
    FirebaseUniversalAuthService.ctorParameters = function () { return [
        { type: auth_1.AngularFireAuth },
        { type: platform_browser_1.TransferState },
        { type: undefined, decorators: [{ type: core_1.Inject, args: [tokens_1.FIREBASE_AUTH_OBJ_TS,] }] }
    ]; };
    return FirebaseUniversalAuthService;
}());
exports.FirebaseUniversalAuthService = FirebaseUniversalAuthService;
//# sourceMappingURL=browser.auth.service.js.map