"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var platform_browser_1 = require("@angular/platform-browser");
var http_1 = require("@angular/common/http");
function removeHttpInterceptorCache(ts, key) {
    return function (val) {
        ts.remove(platform_browser_1.makeStateKey("G." + key));
    };
}
exports.removeHttpInterceptorCache = removeHttpInterceptorCache;
function cacheInStateTransfer(ts, key) {
    return function (val) {
        ts.set(key, val);
    };
}
exports.cacheInStateTransfer = cacheInStateTransfer;
function getParams(fromObject) {
    if (fromObject === void 0) { fromObject = {}; }
    return new http_1.HttpParams({
        fromObject: Object.keys(fromObject).reduce(function (acc, curr) {
            var _a;
            return fromObject[curr]
                ? __assign({}, acc, (_a = {}, _a[curr] = fromObject[curr], _a)) : __assign({}, acc);
        }, {})
    });
}
exports.getParams = getParams;
//# sourceMappingURL=browser.js.map