"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var angularfire2_1 = require("angularfire2");
var environment_1 = require("../environment");
var server_1 = require("./common/server");
function firebaseEnvironmentFactory(es) {
    return {
        apiKey: es.config.FIREBASE_API_KEY,
        authDomain: es.config.FIREBASE_AUTH_DOMAIN,
        databaseURL: es.config.FIREBASE_DATABASE_URL,
        projectId: es.config.FIREBASE_PROJECT_ID,
        storageBucket: es.config.FIREBASE_STORAGE_BUCKET,
        messagingSenderId: es.config.FIREBASE_MESSAGING_SENDER_ID
    };
}
exports.firebaseEnvironmentFactory = firebaseEnvironmentFactory;
var ɵ0 = undefined;
exports.ɵ0 = ɵ0;
// tslint:disable-next-line:no-class
var FirebaseUniversalAppModule = /** @class */ (function () {
    function FirebaseUniversalAppModule() {
    }
    FirebaseUniversalAppModule.decorators = [
        { type: core_1.NgModule, args: [{
                    imports: [angularfire2_1.AngularFireModule],
                    providers: [
                        { provide: server_1.FIREBASE_USER_AUTH_TOKEN, useValue: ɵ0 },
                        {
                            provide: angularfire2_1.FirebaseNameOrConfigToken,
                            useValue: 'universal-webapp'
                        },
                        {
                            provide: angularfire2_1.FirebaseOptionsToken,
                            useFactory: firebaseEnvironmentFactory,
                            deps: [environment_1.EnvironmentService]
                        }
                    ]
                },] },
    ];
    return FirebaseUniversalAppModule;
}());
exports.FirebaseUniversalAppModule = FirebaseUniversalAppModule;
//# sourceMappingURL=firebase.app.module.js.map