"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var browser_firebase_fs_service_1 = require("./browser.firebase.fs.service");
var server_firebase_fs_service_1 = require("./server.firebase.fs.service");
var firestore_1 = require("angularfire2/firestore");
// tslint:disable-next-line:no-class
var FirebaseFsServerModule = /** @class */ (function () {
    function FirebaseFsServerModule(parentModule) {
        // tslint:disable-next-line:no-if-statement
        if (parentModule)
            throw new Error('FirebaseFsServerModule already loaded. Import in root module only.');
    }
    FirebaseFsServerModule.forRoot = function () {
        return {
            ngModule: FirebaseFsServerModule,
            providers: [
                {
                    provide: browser_firebase_fs_service_1.UniversalFirestoreService,
                    useClass: server_firebase_fs_service_1.ServerUniversalFirestoreService
                }
            ]
        };
    };
    FirebaseFsServerModule.decorators = [
        { type: core_1.NgModule, args: [{
                    imports: [firestore_1.AngularFirestoreModule],
                    exports: [firestore_1.AngularFirestoreModule]
                },] },
    ];
    /** @nocollapse */
    FirebaseFsServerModule.ctorParameters = function () { return [
        { type: FirebaseFsServerModule, decorators: [{ type: core_1.Optional }, { type: core_1.SkipSelf }] }
    ]; };
    return FirebaseFsServerModule;
}());
exports.FirebaseFsServerModule = FirebaseFsServerModule;
//# sourceMappingURL=server.firebase.fs.module.js.map