"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var server_firebase_rtdb_service_1 = require("./server.firebase.rtdb.service");
var browser_firebase_rtdb_service_1 = require("./browser.firebase.rtdb.service");
var database_1 = require("angularfire2/database");
// tslint:disable-next-line:no-class
var FirebaseRtDbServerModule = /** @class */ (function () {
    function FirebaseRtDbServerModule(parentModule) {
        // tslint:disable-next-line:no-if-statement
        if (parentModule)
            throw new Error('FirebaseRtDbServerModule already loaded. Import in root module only.');
    }
    FirebaseRtDbServerModule.forRoot = function () {
        return {
            ngModule: FirebaseRtDbServerModule,
            providers: [
                {
                    provide: browser_firebase_rtdb_service_1.UniversalRtDbService,
                    useClass: server_firebase_rtdb_service_1.ServerUniversalRtDbService
                }
            ]
        };
    };
    FirebaseRtDbServerModule.decorators = [
        { type: core_1.NgModule, args: [{
                    imports: [database_1.AngularFireDatabaseModule],
                    exports: [database_1.AngularFireDatabaseModule]
                },] },
    ];
    /** @nocollapse */
    FirebaseRtDbServerModule.ctorParameters = function () { return [
        { type: FirebaseRtDbServerModule, decorators: [{ type: core_1.Optional }, { type: core_1.SkipSelf }] }
    ]; };
    return FirebaseRtDbServerModule;
}());
exports.FirebaseRtDbServerModule = FirebaseRtDbServerModule;
//# sourceMappingURL=server.firebase.rtdb.module.js.map