import { AngularFireDatabase, QueryFn, PathReference } from 'angularfire2/database';
import { HttpClient } from '@angular/common/http';
import { LruCache } from '../common/server';
import { Observable } from 'rxjs';
import { TransferState } from '@angular/platform-browser';
import { IUniversalRtdbService } from './browser.firebase.rtdb.common';
export declare class ServerUniversalRtDbService implements IUniversalRtdbService {
    private http;
    private afdb;
    private ts;
    private authToken?;
    private lru?;
    constructor(http: HttpClient, afdb: AngularFireDatabase, ts: TransferState, authToken?: string, lru?: LruCache);
    universalObject<T>(path: string): Observable<T | undefined>;
    universalList<T>(path: PathReference, queryFn?: QueryFn): Observable<T[]>;
}
