import { HttpHandler, HttpInterceptor, HttpRequest, HttpEvent } from '@angular/common/http';
import { CacheFactory, CacheTagConfig } from './http-cache-tag.server.module';
import { Observable } from 'rxjs';
export declare class HttpCacheTagInterceptor implements HttpInterceptor {
    private config;
    private factory;
    constructor(config: CacheTagConfig, factory: CacheFactory);
    isCacheableCode(code: number): number;
    isCacheableUrl(url: string | null): boolean;
    intercept(req: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
}
