"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var http_1 = require("@angular/common/http");
var http_cache_tag_interceptor_service_1 = require("./http-cache-tag-interceptor.service");
exports.CACHE_TAG_CONFIG = new core_1.InjectionToken('cfg.http.ct');
exports.CACHE_TAG_FACTORY = new core_1.InjectionToken('cfg.http.ctf');
// tslint:disable-next-line:no-class
var HttpCacheTagModule = /** @class */ (function () {
    function HttpCacheTagModule(parentModule) {
        // tslint:disable-next-line:no-if-statement
        if (parentModule)
            throw new Error('HttpCachTageModule already loaded. Import in root module only.');
    }
    HttpCacheTagModule.forRoot = function (configProvider, factoryProvider) {
        return {
            ngModule: HttpCacheTagModule,
            providers: [
                {
                    provide: http_cache_tag_interceptor_service_1.HttpCacheTagInterceptor,
                    useClass: http_cache_tag_interceptor_service_1.HttpCacheTagInterceptor,
                    deps: [exports.CACHE_TAG_CONFIG, exports.CACHE_TAG_FACTORY]
                },
                {
                    provide: http_1.HTTP_INTERCEPTORS,
                    useExisting: http_cache_tag_interceptor_service_1.HttpCacheTagInterceptor,
                    multi: true
                },
                configProvider,
                factoryProvider
            ]
        };
    };
    HttpCacheTagModule.decorators = [
        { type: core_1.NgModule },
    ];
    /** @nocollapse */
    HttpCacheTagModule.ctorParameters = function () { return [
        { type: HttpCacheTagModule, decorators: [{ type: core_1.Optional }, { type: core_1.SkipSelf }] }
    ]; };
    return HttpCacheTagModule;
}());
exports.HttpCacheTagModule = HttpCacheTagModule;
//# sourceMappingURL=http-cache-tag.server.module.js.map