"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var tokens_1 = require("../tokens");
var window_service_1 = require("./window.service");
// tslint:disable-next-line:no-class
var WindowBrowserModule = /** @class */ (function () {
    function WindowBrowserModule(parentModule) {
        // tslint:disable-next-line:no-if-statement
        if (parentModule)
            throw new Error('WindowBrowserModule already loaded. Import in root module only.');
    }
    WindowBrowserModule.forRoot = function () {
        return {
            ngModule: WindowBrowserModule,
            providers: [{ provide: tokens_1.WINDOW, useValue: window }, window_service_1.WindowService]
        };
    };
    WindowBrowserModule.decorators = [
        { type: core_1.NgModule },
    ];
    /** @nocollapse */
    WindowBrowserModule.ctorParameters = function () { return [
        { type: WindowBrowserModule, decorators: [{ type: core_1.Optional }, { type: core_1.SkipSelf }] }
    ]; };
    return WindowBrowserModule;
}());
exports.WindowBrowserModule = WindowBrowserModule;
//# sourceMappingURL=window-browser.module.js.map