import { ICookieService, StringDict, KeyValue } from './common';
import { CookieAttributes } from 'js-cookie';
export declare class CookieService implements ICookieService {
    private readonly cookieSource;
    private readonly changeSource;
    readonly valueChange: import("rxjs/internal/Observable").Observable<KeyValue>;
    readonly valueChanges: import("rxjs/internal/Observable").Observable<StringDict>;
    targetValueChange(key: string): import("rxjs/internal/Observable").Observable<KeyValue>;
    set(name: string, value: any, opts?: CookieAttributes): void;
    remove(name: string, opts?: CookieAttributes): void;
    get(name: string): any;
    getAll(): any;
    private updateSource;
    private broadcastChange;
}
