export interface IBaseConfig {
    readonly [key: string]: string | undefined;
    readonly env?: string;
    readonly port?: string;
}
export interface IEnvironmentService<TConfig extends IBaseConfig> {
    readonly config: TConfig;
}
export declare class EnvironmentService<TConfig extends IBaseConfig = IBaseConfig> implements IEnvironmentService<TConfig> {
    config: TConfig;
    constructor(config?: TConfig);
}
