"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var auth_1 = require("angularfire2/auth");
var browser_1 = require("../../cookies/browser");
var browser_auth_service_1 = require("./browser.auth.service");
var platform_browser_1 = require("@angular/platform-browser");
var tokens_1 = require("./tokens");
var ɵ0 = platform_browser_1.makeStateKey('fng.fb.auth.ts');
exports.ɵ0 = ɵ0;
// import { FngFirebaseAuthLoadingComponent } from './loading-container/loading-container.component'
// tslint:disable:no-this
// tslint:disable-next-line:no-class
var FirebaseAuthAppModule = /** @class */ (function () {
    function FirebaseAuthAppModule() {
    }
    FirebaseAuthAppModule.decorators = [
        { type: core_1.NgModule, args: [{
                    // declarations: [FngFirebaseAuthLoadingComponent],
                    imports: [auth_1.AngularFireAuthModule],
                    exports: [auth_1.AngularFireAuthModule],
                    providers: [
                        browser_auth_service_1.FirebaseUniversalAuthService,
                        { provide: tokens_1.FIREBASE_AUTH_COOKIE_FACTORY, useClass: browser_1.CookieService },
                        { provide: tokens_1.FIREBASE_AUTH_COOKIE_STO_KEY, useValue: 'firebaseJWT' },
                        { provide: tokens_1.FIREBASE_AUTH_OBJ_TS, useValue: ɵ0 }
                    ]
                },] },
    ];
    return FirebaseAuthAppModule;
}());
exports.FirebaseAuthAppModule = FirebaseAuthAppModule;
//# sourceMappingURL=app.auth.module.js.map