import { FirebaseServerAuth } from './server.auth.service';
import { auth } from 'firebase-admin';
import { EnvironmentService } from '../../environment';
import { CookieService } from '../../cookies/browser';
import { TransferState, StateKey } from '@angular/platform-browser';
export declare function fbAdminFactory(es: EnvironmentService): auth.Auth;
export declare function getUserJwt(cs: CookieService, key: string): any;
export declare function onBootstrap(transferState: TransferState, auth: FirebaseServerAuth, tsKey: StateKey<string>): () => Promise<any>;
export declare class FirebaseAuthServerModule {
}
