import { AngularFirestore, QueryFn } from 'angularfire2/firestore';
import { Observable } from 'rxjs';
export interface IUniversalFirestoreService {
    readonly universalDoc: <T>(path: string) => Observable<T | undefined>;
    readonly universalCollection: <T>(path: string, queryFn?: QueryFn) => Observable<ReadonlyArray<T>>;
}
export declare function extractFsHostFromLib(affs: AngularFirestore): any;
