import { ApplicationRef } from '@angular/core';
import { TransferState } from '@angular/platform-browser';
import { AngularFirestore, QueryFn } from 'angularfire2/firestore';
import { IUniversalFirestoreService } from './browser.firebase.fs.common';
export declare class UniversalFirestoreService implements IUniversalFirestoreService {
    private ts;
    afs: AngularFirestore;
    constructor(ts: TransferState, afs: AngularFirestore, appRef: ApplicationRef);
    private readFromCache;
    private turnOffCache;
    universalDoc<T>(path: string): import("rxjs/internal/Observable").Observable<any>;
    universalCollection<T>(path: string, queryFn?: QueryFn): import("rxjs/internal/Observable").Observable<ReadonlyArray<T>>;
}
