"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var platform_browser_1 = require("@angular/platform-browser");
function makeFirestoreStateTransferKey(fullUrl) {
    return platform_browser_1.makeStateKey("FS." + fullUrl);
}
exports.makeFirestoreStateTransferKey = makeFirestoreStateTransferKey;
function constructFsUrl(host, path, runQuery) {
    if (runQuery === void 0) { runQuery = false; }
    return "https://firestore.googleapis.com/v1beta1/projects/" + host + "/databases/(default)/documents" + (runQuery ? ':runQuery' : '/' + path);
}
exports.constructFsUrl = constructFsUrl;
//# sourceMappingURL=server.firebase.fs.common.js.map