import { TransferState } from '@angular/platform-browser';
import { AngularFirestore, QueryFn } from 'angularfire2/firestore';
import { HttpClient } from '@angular/common/http';
import { IUniversalFirestoreService } from './browser.firebase.fs.common';
import { LruCache } from '../common/server';
export declare class ServerUniversalFirestoreService implements IUniversalFirestoreService {
    private http;
    private ts;
    afs: AngularFirestore;
    private authToken?;
    private lru?;
    constructor(http: HttpClient, ts: TransferState, afs: AngularFirestore, authToken?: string, lru?: LruCache);
    universalDoc<T>(path: string): import("rxjs/internal/Observable").Observable<any>;
    universalCollection<T>(path: string, queryFn?: QueryFn): import("rxjs/internal/Observable").Observable<any>;
}
