import { ApplicationRef } from '@angular/core';
import { AngularFireDatabase, QueryFn } from 'angularfire2/database';
import { TransferState } from '@angular/platform-browser';
import { Observable } from 'rxjs';
import { IUniversalRtdbService } from './browser.firebase.rtdb.common';
export declare class UniversalRtDbService implements IUniversalRtdbService {
    angularFireDatabase: AngularFireDatabase;
    private ts;
    readFromCache: boolean;
    constructor(angularFireDatabase: AngularFireDatabase, ts: TransferState, appRef: ApplicationRef);
    private turnOffCache;
    universalObject<T>(path: string): Observable<T | undefined>;
    universalList<T>(path: string, queryFn?: QueryFn): Observable<ReadonlyArray<T>>;
    private cacheKey;
}
