"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var window_browser_module_1 = require("../util/window/window-browser.module");
var browser_1 = require("../cookies/browser");
var environment_1 = require("../environment");
var browser_2 = require("../response/browser");
var service_worker_1 = require("@angular/service-worker");
var platform_browser_1 = require("@angular/platform-browser");
// tslint:disable-next-line:no-class
var FusingAngularBrowserModule = /** @class */ (function () {
    function FusingAngularBrowserModule() {
    }
    FusingAngularBrowserModule.decorators = [
        { type: core_1.NgModule, args: [{
                    imports: [
                        platform_browser_1.BrowserModule.withServerTransition({ appId: 'app-root' }),
                        platform_browser_1.BrowserTransferStateModule,
                        service_worker_1.ServiceWorkerModule.register('/js/ngsw-worker.js', {
                            enabled: false
                        }),
                        window_browser_module_1.WindowBrowserModule.forRoot(),
                        browser_1.CookiesBrowserModule,
                        environment_1.EnvironmentBrowserModule,
                        browser_2.ResponseBrowserModule
                    ],
                    exports: [
                        platform_browser_1.BrowserModule,
                        platform_browser_1.BrowserTransferStateModule,
                        service_worker_1.ServiceWorkerModule,
                        window_browser_module_1.WindowBrowserModule,
                        browser_1.CookiesBrowserModule,
                        environment_1.EnvironmentBrowserModule,
                        browser_2.ResponseBrowserModule
                    ]
                },] },
    ];
    return FusingAngularBrowserModule;
}());
exports.FusingAngularBrowserModule = FusingAngularBrowserModule;
//# sourceMappingURL=browser.js.map