import { IResponseService } from './common';
import * as express from 'express';
export declare class ServerResponseService implements IResponseService {
    private response;
    constructor(response: express.Response);
    set(code: number, message?: string): void;
    ok(): void;
    badRequest(message?: string): void;
    unauthorized(message?: string): void;
    paymentRequired(message?: string): void;
    forbidden(message?: string): void;
    notFound(message?: string): void;
    error(message?: string): void;
    notImplemented(message?: string): void;
}
