import * as express from 'express';
export declare class HeaderService {
    private response;
    constructor(response: express.Response);
    getHeader(key: string): string | undefined;
    setHeader(key: string, value: string): void;
    setHeaders(dictionary: {
        readonly [key: string]: string;
    }): void;
    removeHeader(key: string): void;
    appendHeader(key: string, value: string, delimiter?: string): void;
}
