"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var tokens_1 = require("../tokens");
var window_service_1 = require("./window.service");
// tslint:disable-next-line:no-class
var WindowServerModule = /** @class */ (function () {
    function WindowServerModule(parentModule) {
        // tslint:disable-next-line:no-if-statement
        if (parentModule)
            throw new Error('WindowServerModule already loaded. Import in root module only.');
    }
    WindowServerModule.forRoot = function (windowObject) {
        return {
            ngModule: WindowServerModule,
            providers: [
                { provide: tokens_1.WINDOW, useValue: windowObject || {} },
                window_service_1.WindowService
            ]
        };
    };
    WindowServerModule.decorators = [
        { type: core_1.NgModule },
    ];
    /** @nocollapse */
    WindowServerModule.ctorParameters = function () { return [
        { type: WindowServerModule, decorators: [{ type: core_1.Optional }, { type: core_1.SkipSelf }] }
    ]; };
    return WindowServerModule;
}());
exports.WindowServerModule = WindowServerModule;
//# sourceMappingURL=window-server.module.js.map